GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends
gdcm::FindStudyRootQuery Class Reference

FindStudyRootQuery contains: the class which will produce a dataset for C-FIND with study root. More...

`#include <gdcmFindStudyRootQuery.h>`

Inheritance diagram for gdcm::FindStudyRootQuery:
[legend]
Collaboration diagram for gdcm::FindStudyRootQuery:
[legend]

List of all members.

## Public Member Functions

| FindStudyRootQuery ()
UIDs::TSName | GetAbstractSyntaxUID () const
std::vector< Tag > | GetTagListByLevel (const EQueryLevel &inQueryLevel)
void | InitializeDataSet (const EQueryLevel &inQueryLevel)
bool | ValidateQuery (bool inStrict=true) const

## Friends

class | QueryFactory

## Detailed Description

FindStudyRootQuery contains: the class which will produce a dataset for C-FIND with study root.

## Constructor & Destructor Documentation

gdcm::FindStudyRootQuery::FindStudyRootQuery | ( |  | ) |

## Member Function Documentation

UIDs::TSName gdcm::FindStudyRootQuery::GetAbstractSyntaxUID | ( |  | ) | const`[virtual]`

Implements gdcm::BaseRootQuery.

std::vector<Tag> gdcm::FindStudyRootQuery::GetTagListByLevel | ( | const EQueryLevel & | inQueryLevel | ) | `[virtual]`

this function will return all tags at a given query level, so that *they maybe selected for searching. The boolean forFind is true *if the query is a find query, or false for a move query.

Implements gdcm::BaseRootQuery.

void gdcm::FindStudyRootQuery::InitializeDataSet | ( | const EQueryLevel & | inQueryLevel | ) | `[virtual]`

this function sets tag 8,52 to the appropriate value based on query level also fills in the right unique tags, as per the standard's requirements should allow for connection with dcmtk

Implements gdcm::BaseRootQuery.

bool gdcm::FindStudyRootQuery::ValidateQuery | ( | bool | inStrict = `true` | ) | const`[virtual]`

have to be able to ensure that (0008,0052) is set that the level is appropriate (ie, not setting PATIENT for a study query that the tags in the query match the right level (either required, unique, optional)

Implements gdcm::BaseRootQuery.

## Friends And Related Function Documentation

friend class QueryFactory`[friend]`

Reimplemented from gdcm::BaseRootQuery.

The documentation for this class was generated from the following file:

- gdcmFindStudyRootQuery.h